Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Private Attributes | List of all members
DataType Class Reference

Predefined datatypes. More...

`#include <OpenFlipper/common/DataTypes.hh>`

## Public Member Functions
| DataType (const unsigned int &_i)
bool | operator!= (const unsigned int &_i) const
bool | operator!= (const DataType &_i) const
bool | operator== (const unsigned int &_i) const
bool | operator== (const DataType &_i) const
DataType & | operator= (const unsigned int &_i)
DataType & | operator= (const DataType &_i)
bool | operator< (const unsigned int &_i) const
bool | operator< (const DataType &_i) const
DataType & | operator|= (const unsigned int &_i)
DataType & | operator|= (const DataType &_i)
bool | operator& (const unsigned int &_i) const
bool | operator& (const DataType &_i) const
DataType | operator! ()
bool | contains (const DataType &_i) const
DataType | operator| (const DataType &_i) const
DataType | operator++ (int _unused)
DataType & | operator++ ()
unsigned int | value () const
QString | name () const
| Return the name of this type as text.

## Private Attributes
unsigned int | field

## Detailed Description

Predefined datatypes.

Here are several datatypes which have predefined ids. This might be changed to runtime added datatypes in the future.the internal DataType class

Normally we could use an unsigned int here. But QT can't register an typedef unsigned int DataType as DataType and will recognize it as unsigned int and therefore DataType will still be unknown to QtScript. To overcome this Problem, we reimplement a wrapper around the int and provide additional functionality such as returning the name of the type directly

Definition at line 96 of file DataTypes.hh.

## Member Function Documentation

unsigned int DataType::value | ( |  | ) | const

return the internal representation of the type which is an unsigned int at the moment.

You should avoid using this directly as the internal representation might change in the future

Definition at line 423 of file Types.cc.

The documentation for this class was generated from the following files:

- OpenFlipper/common/DataTypes.hh
- OpenFlipper/common/Types.cc